# creditCard

Credit cards checks.

Source:
  - creditCards.js, line 1

### Methods

#### (inner) amex(value) → {boolean}

Check if is a valid American Express credit card

Interfaces: `all`, `any`, `not`

Source:
  - creditCards.js, line 25

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | version string

##### Returns:

Type:
  `boolean`

##### Example

    be.amex('378282246310005') // true

#### (inner) creditCard(value) → {boolean}

Check if is a valid credit card

Interfaces: `all`, `any`, `not`

Source:
  - creditCards.js, line 9

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | version string

##### Returns:

Type:
  `boolean`

##### Example

    be.creditCard('4242424242424242') // true

#### (inner) dinersClub(value) → {boolean}

Check if is a valid Diner’s Club credit card

Interfaces: `all`, `any`, `not`

Source:
  - creditCards.js, line 41

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | version string

##### Returns:

Type:
  `boolean`

##### Example

    be.dinersClub('30569309025904') // true

#### (inner) discover(value) → {boolean}

Check if is a valid Discover credit card

Interfaces: `all`, `any`, `not`

Source:
  - creditCards.js, line 57

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | version string

##### Returns:

Type:
  `boolean`

##### Example

    be.discover('6011111111111117') // true

#### (inner) mastercard(value) → {boolean}

Check if is a valid Mastercard credit card

Interfaces: `all`, `any`, `not`

Source:
  - creditCards.js, line 73

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | version string

##### Returns:

Type:
  `boolean`

##### Example

    be.mastercard('5555555555554444') // true

#### (inner) visa(value) → {boolean}

Check if is a valid Visa credit card

Interfaces: `all`, `any`, `not`

Source:
  - creditCards.js, line 89

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | version string

##### Returns:

Type:
  `boolean`

##### Example

    be.visa('4242424242424242') // true